Package com.xebialabs.deployit.plugin.api.udm

## Class EncryptedDictionary

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.deployit.plugin.api.udm.AbstractDictionary
    - - com.xebialabs.deployit.plugin.api.udm.Dictionary
      - - com.xebialabs.deployit.plugin.api.udm.EncryptedDictionary

- All Implemented Interfaces:
    `ConfigurationItem`, `IDictionary`, `IEncryptedDictionary`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=ENVIRONMENTS,
                description="An EncryptedDictionary contains keys and encrypted values that can be replaced. Values are encrypted when they are stored and decrypted before being used.")
      @Deprecated
      @TypeIcon("icons/types/udm.EncryptedDictionary.svg")
      public class EncryptedDictionary
      extends Dictionary

  Deprecated.
  Please use the `Dictionary` with encrypted values.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.xebialabs.deployit.plugin.api.udm.IDictionary

      `IDictionary.DictionaryContext`

  - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EncryptedDictionary()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.Dictionary

      `getEncryptedEntries, getEntries, getRestrictToDistributions, getValue, hasValue, setEncryptedEntries, setEntries`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.AbstractDictionary

      `applyTo, getRestrictToApplications, getRestrictToContainers`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.IDictionary

      `applyTo`

- - ### Constructor Detail

    - #### EncryptedDictionary

          public EncryptedDictionary()

      Deprecated.